{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":28675,"path":"it-operations-management/agent-client-collector/acc-oneliner-install.md","title":"Perform a single-line Agent Client Collector installation on Linux","bundle":null,"doc_type":null,"release":"australia","body":"\n# Perform a single-line Agent Client Collector installation on Linux\n\nUse an efficient single-line command script to install Agent Client Collector on a machine that uses a Linux operating system. If a script is not connected to the instance or you want to use enhanced customization options, you might have to install Agent Client Collector manually.\n\n## Before you begin\n\n-   Ensure that you have configured the Agent Client Collector web server.\n-   Verify that your server's OS and version matches the list of supported OS versions as described in [Agent Client Collector Installation](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/agent-client-collector/acc-installation.md).\n-   Ensure that the unzip program is installed on your Linux machine.\n-   Determine the resource limits for the agent to be configured in the `/usr/lib/systemd/system/acc.service` file after installation.\n-   Ensure that you have the `openssl` and `dgst` \\(for RHEL/Centos/SUSE installation\\) packages available, to be used by the install script.\n-   Ensure that you have the `gpg` package available for validation \\(for Ubuntu/Debian installation\\).\n-   Enable golden image mode for cloning additional instances by setting the golden image marker located at `/tmp/acc-goldenimage`. The golden image marker takes no action during new Linux installations, as there is nothing which requires cleaning.\n-   When performing single-line installation on more than one agent, download the agent package to your local machine. Place the package on your `ftp` server, using an Ansible script. For details on mass deployment of agents, see [Deploy the Agent Client Collector using a custom base image](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/agent-client-collector/acc-virtual-deployment.md).\n-   In order for the Agent to retrieve the OS serial numbers and TCP connections along with associated running processes, sudo access for “dmidecode” and “ss” is required on Linux systems.\n\nRole required: agent\\_client\\_collector\\_admin\n\n## Procedure\n\n1.  Retrieve MID Server websocket URL parameters.\n\n    1.  Navigate to **Agent Client Collector** &gt; **Websocket Endpoint** and select the relevant websocket endpoint.\n\n    2.  Copy the value of the **Endpoint URL** field to be used in the installation command.\n\n2.  Copy and edit the following command line, substituting your own information for the command parameters.\n\n    `ACC_API_KEY=<api_key> ACC_MID=wss://<mid_ip>:<websocket_port>/ws/events bash -c \"$(curl -L https://<instance URL>/api/sn_agent/agents/install_agent)\"`\n\n<table id=\"table_al4_f4s_wlb\"><thead><tr><th>\n\nParameter\n\n</th><th>\n\nValue\n\n</th></tr></thead><tbody><tr><td>\n\nACC\\_API\\_KEY\n\n</td><td>\n\nThe API key used to access the MID Server websocket.If no ACC\\_API\\_KEY value is specified, you will be asked to enter the API key value during execution of the script.\n\n</td></tr><tr><td>\n\nACC\\_MID\n\n</td><td>\n\nThe URL of the MID Server websocket.If you are specifying multiple MID Servers, enter a string separated by commas for each MID Server.\n\n</td></tr></tbody>\n</table>3.  If you need to create new check definitions to be included in the allow list that indicates the checks enabled to run on the agent, disable the allow list by adding **ACC\\_ALLOW\\_LIST=0** to the single-line command string.\n\n    **Note:** This action compromises your system's security and is recommended only as a temporary measure until you finish updating the allow list. After completing the update, re-activate the allow list by removing **ACC\\_ALLOW\\_LIST=0** from the single-line command string.\n\n4.  If the certificate validation process is too time consuming or if you are using the agent for development purposes, you can bypass certificate validation by adding **ACC\\_VALIDATE\\_SIG=0** to the single-line command string.\n\n5.  Run the single-line command \\(specified in step [2](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/agent-client-collector/acc-oneliner-install.md), above\\) on the server where the Agent Client Collector is installed.\n\n6.  Configure resource limits for the agent in the `/usr/lib/systemd/system/acc.service` file, according to your business needs.\n\n    The default values in the file are:\n\n    -   **CPUShares**: 128\n    -   **CPUQuota**: 10%\n    -   **MemoryLimit**: 192M\n    -   **BlockIOWeight**: 10\n    -   **LimitNICE**: +15\n\n**Parent Topic:**[Agent Client Collector installation on a Linux OS system](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/agent-client-collector/acc-install-linux-concept.md)\n\n"}}